From b062da009001c1beb362169d700663d7220eef5e Mon Sep 17 00:00:00 2001
From: Florian Baumgartl <florian@baumgartl.net>
Date: Thu, 2 Dec 2021 22:02:40 +0100
Subject: contrib: add check for wget command in install_db4.sh

---
 contrib/install_db4.sh | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/contrib/install_db4.sh b/contrib/install_db4.sh
index 81c88a2ae7..2850c4b993 100755
--- a/contrib/install_db4.sh
+++ b/contrib/install_db4.sh
@@ -55,8 +55,11 @@ http_get() {
     echo "File ${2} already exists; not downloading again"
   elif check_exists curl; then
     curl --insecure --retry 5 "${1}" -o "${2}"
-  else
+  elif check_exists wget; then
     wget --no-check-certificate "${1}" -O "${2}"
+  else
+    echo "Simple transfer utilities 'curl' and 'wget' not found. Please install one of them and try again."
+    exit 1
   fi
 
   sha256_check "${3}" "${2}"
@@ -64,7 +67,7 @@ http_get() {
 
 # Ensure the commands we use exist on the system
 if ! check_exists patch; then
-    echo "Command-line tool 'patch' not found.  Install patch and try again."
+    echo "Command-line tool 'patch' not found. Install patch and try again."
     exit 1
 fi
 
-- 
cgit v1.2.3